新手问题 ruby 2.1.0?

chairy11 · 2013年11月22日 · 最后由 lawrence 回复于 2014年11月10日 · 4237 次阅读

看到 rvm list known 里有: [ruby-] 2.1.0-preview1 [ruby-] 2.1.0-head ruby-head,

上 ruby 官方网站看了下,貌似最新的却是 “Ruby 2.0.0-p353 is released”,“Posted by nagachika on 22 Nov 2013”

为啥有这种差别?

想了想,还是装了个 ruby 2.0.0p353 。你们都用什么版本?

ruby 2.0.0p247

#1 楼 @kevinzhow p247 的赶紧更新 p353 吧

#2 楼 @luikore 有很多新特性吗?

#3 楼 @chairy11 2.0 的 p353 相对于 p247 有不少 bug fix

2.1 主要就是 GC 性能提升

匿名 #5 · 2013年11月22日

依然停留在 1.9.3p392 的时代……

ruby 2.0.0p247

追新帝你好

#7 楼 @bhuztez 大家好才是真的好!😆

現在已經出 2.1.0-preview2 啦,穩定版可以升級至 Ruby 2.0.0-p353 or Ruby 1.9.3-p484 :D

#2 楼 @luikore 有修正的 buglist 的地址么?

果断是停留在 ruby 1.9.3-p448……

看来还是得装 rvm……

#1 楼 @kevinzhow 有 float bug 啊,建议更新的

#13 楼 @xstmjh #2 楼 @luikore 好的,我这不是刚知道嘛

#2 楼 @luikore 话说我 “rvm use ruby-2.0.0-p353 --default” 为什么开个新命令端,一看,又退回 p247 了?

#2 楼 @luikore 恩,我刚用了暴力的一句 “rvm remove 2.0.0-p247”,现在只剩下 353 了……

#19 楼 @chairy11 其实一开始你可以rvm upgrade 2.0.0-p247 2.0.0-p353的……

不升级不舒服司机~~

每天上午下午执行一遍: apt-get yum brew pip gem

#11 楼 @allenfantasy 1.9 兼容性好?

#11 楼 @allenfantasy 为何不与时俱进呢?

#25 楼 @lawrence 现在我们用 2.1.0 啦,不过旧的项目就还是 1.9.x :)

27楼 已删除
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册